darcs

Issue 2456 darcs.cabal: add source-repo entry

Title darcs.cabal: add source-repo entry
Priority Status needs-implementation
Milestone Resolved in
Superseder Nosy List mimi.vx
Assigned To
Topics

Created on 2015-06-15.23:37:12 by mimi.vx, last changed 2015-06-16.22:30:59 by bf.

Files
File name Uploaded Type Edit Remove
unnamed DaniilFrumin, 2015-06-16.06:42:00 text/html
Messages
msg18505 (view) Author: mimi.vx Date: 2015-06-15.23:37:11
Hello,

darcs cabal file in hackage is different than in upstream DARCS
repository , please update it

Best regards

Onderj Sukup
msg18506 (view) Author: bf Date: 2015-06-16.00:01:04
(1) Which version of Darcs are you referring to and which of the several
Darcs repositories?

(2) Why do you think hackage and whatever repository you refer to must
be in sync? Did you have a concrete problem caused by the difference?
msg18510 (view) Author: mimi.vx Date: 2015-06-16.06:28:28
+1) Darcs 2.10.0  and http://hub.darcs.net/darcs/darcs-2.10

2) depedency and flags in hackage cabal are different , for example
causes problems with cabal-rpm ... and cabal-install
( see network vs network-uri)

Best regards
    Ondrej Súkup

2015-06-16 2:01 GMT+02:00 Ben Franksen <bugs@darcs.net>:
>
> Ben Franksen <benjamin.franksen@helmholtz-berlin.de> added the comment:
>
> (1) Which version of Darcs are you referring to and which of the several
> Darcs repositories?
>
> (2) Why do you think hackage and whatever repository you refer to must
> be in sync? Did you have a concrete problem caused by the difference?
>
> __________________________________
> Darcs bug tracker <bugs@darcs.net>
> <http://bugs.darcs.net/issue2456>
> __________________________________
msg18511 (view) Author: DaniilFrumin Date: 2015-06-16.06:42:00
Dear Ondřej,

The network/network-uri change was pushed very recently, after the initial
release of 2.10.0:
<http://bugs.darcs.net/patch1341>

It will probably end up as 2.10.1 on hackage.

On Tue, Jun 16, 2015 at 8:28 AM, Ondřej Súkup <bugs@darcs.net> wrote:

>
> Ondřej Súkup <mimi.vx@gmail.com> added the comment:
>
> +1) Darcs 2.10.0  and http://hub.darcs.net/darcs/darcs-2.10
>
> 2) depedency and flags in hackage cabal are different , for example
> causes problems with cabal-rpm ... and cabal-install
> ( see network vs network-uri)
>
> Best regards
>     Ondrej Súkup
>
> 2015-06-16 2:01 GMT+02:00 Ben Franksen <bugs@darcs.net>:
> >
> > Ben Franksen <benjamin.franksen@helmholtz-berlin.de> added the comment:
> >
> > (1) Which version of Darcs are you referring to and which of the several
> > Darcs repositories?
> >
> > (2) Why do you think hackage and whatever repository you refer to must
> > be in sync? Did you have a concrete problem caused by the difference?
> >
> > __________________________________
> > Darcs bug tracker <bugs@darcs.net>
> > <http://bugs.darcs.net/issue2456>
> > __________________________________
>
> __________________________________
> Darcs bug tracker <bugs@darcs.net>
> <http://bugs.darcs.net/issue2456>
> __________________________________
> _______________________________________________
> darcs-devel mailing list
> darcs-devel@darcs.net
> http://lists.osuosl.org/mailman/listinfo/darcs-devel
>
Attachments
msg18519 (view) Author: ganesh Date: 2015-06-16.18:11:50
One improvement we could make is to add a source-repository entry 
for the release branch along with a tag:

https://www.haskell.org/cabal/users-guide/developing-
packages.html#source-repositories

I think we would may need to update the release scripts a bit to 
handle that, though, or make sure to always bump the tag when 
bumping the version in the cabal file.
msg18524 (view) Author: bf Date: 2015-06-16.22:01:52
Just to make things crystal clear: the branch is named darcs-2.10, not
2.10.1. This is a release branch for the 2.10 series of releases and
thus is not supposed to be identical to any one particular release.

If you want to reproduce an exact copy of the release 2.10.0 you should
use a tag. To select an exactly matching tag, use regex anchors as in

  darcs clone --tag='^2.10.0$'

This should give you the same as what is on hackage.
msg18525 (view) Author: bf Date: 2015-06-16.22:17:15
I like Ganesh's idea. It's been a while since I read the cabal
documentation and the two 'this' and 'head' source repos are nice.

So we'd have a 'head' entry that doesn't change between releases (not
even between release branches) and thus could be added on the main branch.

Then there is 'this' repo entry. I think the solution with the least
maintenance overhead is to have this entry only in release branches and
not in the development branches. Then we set up apply pre-hooks in these
branches that check if the patch to be applied is a tag and if yes that
the tag inside the cabal file is identical, otherwise refuses to apply.
This should be enough to avoid silly mistakes when making a release.
msg18526 (view) Author: bf Date: 2015-06-16.22:19:28
Re-opened the ticket because of Ganesh's proposal.
msg18527 (view) Author: bf Date: 2015-06-16.22:30:57
Changed the title to reflect the new focus.
History
Date User Action Args
2015-06-15 23:37:12mimi.vxcreate
2015-06-16 00:01:05bfsetmessages: + msg18506
2015-06-16 06:28:29mimi.vxsetmessages: + msg18510
2015-06-16 06:42:01DaniilFruminsetfiles: + unnamed
messages: + msg18511
2015-06-16 18:11:51ganeshsetmessages: + msg18519
2015-06-16 22:01:53bfsetstatus: unknown -> wont-fix
messages: + msg18524
2015-06-16 22:17:17bfsetmessages: + msg18525
2015-06-16 22:19:29bfsetstatus: wont-fix -> needs-implementation
messages: + msg18526
2015-06-16 22:30:59bfsetmessages: + msg18527
title: hackage issue please update hackage darcs.cabal -> darcs.cabal: add source-repo entry